Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451505 - Review Request: phonon - Multimedia framework api
Summary: Review Request: phonon - Multimedia framework api
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lorenzo Villani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 451655
TreeView+ depends on / blocked
 
Reported: 2008-06-15 02:14 UTC by Rex Dieter
Modified: 2008-07-23 16:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 01:05:23 UTC
lorenzo: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2008-06-15 02:14:39 UTC
Spec,SRPM URL: http://rdieter.fedorapeople.org/phonon/

Description: Multimedia framework api

Needed for future kde-4.1+ builds

scratch build:  http://koji.fedoraproject.org/koji/taskinfo?taskID=662394

Comment 1 Lorenzo Villani 2008-06-16 14:32:17 UTC
Package builds properly but:

- The patch listed in the .spec file is not applied (and rpmlint warns about it)
- phonon.i386: W: incoherent-version-in-changelog 4.2-0.1
4.2-0.1.20080614svn820634.fc9

Although it's not strictly required, documentation is missing from the -devel
subpackage:
- phonon-devel.i386: W: no-documentation


Comment 2 Rex Dieter 2008-06-16 19:06:08 UTC
The patch could be applied unconditionally, seems to fix a problem when building
on f9 with cmake-2.4.  f10/cmake-2.6 is fine.

Comment 3 Lorenzo Villani 2008-06-16 19:51:49 UTC
I don't see any MUST/blocker. The items listed above are just SHOULD/warnings so...

Approved

Comment 4 Rex Dieter 2008-06-16 20:09:45 UTC
New Package CVS Request
=======================
Package Name: phonon
Short Description: Multimedia framework api
Owners: rdieter
Branches: F-9
InitialCC:
Cvsextras Commits: yes


Comment 5 Dennis Gilmore 2008-06-16 20:46:59 UTC
CVS Done

Comment 6 Rex Dieter 2008-06-17 01:05:23 UTC
imported, built for rawhide.

Comment 7 Kevin Kofler 2008-07-23 14:37:39 UTC
Package Change Request
======================
Package Name: phonon
New Branches: F-8

Comment 8 Kevin Fenzi 2008-07-23 16:00:21 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.